메인 콘텐츠로 건너뛰기

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

GET /sites//markdown/export

사이트의 모든 URL과 콘텐츠를 Markdown 형태로 내보냅니다. 유료 플랜에서만 사용할 수 있습니다.
이 기능은 유료 구독이 필요합니다. 무료 플랜에서는 오류가 반환됩니다.

경로 매개변수

siteId
string
필수
내보낼 사이트 ID입니다.

쿼리 매개변수

format
string
기본값:"individual"
내보내기 형식:
  • individual: URL별로 분리된 Markdown을 JSON으로 반환
  • combined: 하나의 결합 Markdown 파일로 반환
fresh
boolean
기본값:"false"
true이면 캐시된 Markdown 대신 새로 가져온 콘텐츠를 사용합니다.

응답

format=individual인 경우 JSON을 반환합니다:
success
boolean
내보내기 성공 여부입니다.
format
string
내보내기 형식(individual)입니다.
files
array
Markdown 파일 객체 배열입니다.
format=combined인 경우 일반 Markdown 텍스트와 다운로드용 Content-Disposition 헤더가 반환됩니다.
curl -X GET "https://api.llmgenerator.com/api/v1/sites/550e8400-e29b-41d4-a716-446655440000/markdown/export" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "success": true,
  "format": "individual",
  "files": [
    {
      "url": "https://example.com/",
      "title": "Example Domain - Home",
      "markdown": "# Example Domain\n\nWelcome to Example Domain...\n"
    },
    {
      "url": "https://example.com/about",
      "title": "About Us",
      "markdown": "# About Us\n\nLearn more about Example Domain...\n"
    }
  ]
}